package com.yonge.cooleshow.biz.dal.vo.res;

import com.yonge.cooleshow.biz.dal.enums.GoodTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Author: liweifan
 * @Data: 2022/3/31 16:18
 */
@ApiModel(value = "OrderCheckRes", description = "订单创建业务返回对象")
public class OrderCreateRes {
    @ApiModelProperty("验证结果")
    private Boolean res;
    @ApiModelProperty("商家id")
    private Long merchId;
    @ApiModelProperty("商品类型:  VIP、开通会员  PRACTICE、陪练课购买  LIVE、直播课购买 VIDEO、视频课购买 MUSIC、单曲点播")
    private GoodTypeEnum goodType;
    @ApiModelProperty("业务id")
    private Long bizId;
    @ApiModelProperty(value = "业务内容")
    private String bizContent;
    @ApiModelProperty("商品数量 ")
    private Integer goodNum;
    @ApiModelProperty(value = "原价 ")
    private BigDecimal originalPrice;
    @ApiModelProperty(value = "预计价格 ")
    private BigDecimal expectPrice;
    @ApiModelProperty("实际价格 ")
    private BigDecimal actualPrice;
    @ApiModelProperty("优惠金额 ")
    private BigDecimal couponAmount;

    @ApiModelProperty(value = "冗余字段，用于传递参数用")
    private Object bizParam;

    public Boolean getRes() {
        return res;
    }

    public void setRes(Boolean res) {
        this.res = res;
    }

    public Long getMerchId() {
        return merchId;
    }

    public void setMerchId(Long merchId) {
        this.merchId = merchId;
    }

    public Long getBizId() {
        return bizId;
    }

    public void setBizId(Long bizId) {
        this.bizId = bizId;
    }

    public BigDecimal getOriginalPrice() {
        return originalPrice;
    }

    public void setOriginalPrice(BigDecimal originalPrice) {
        this.originalPrice = originalPrice;
    }

    public BigDecimal getExpectPrice() {
        return expectPrice;
    }

    public void setExpectPrice(BigDecimal expectPrice) {
        this.expectPrice = expectPrice;
    }

    public String getBizContent() {
        return bizContent;
    }

    public void setBizContent(String bizContent) {
        this.bizContent = bizContent;
    }

    public Integer getGoodNum() {
        return goodNum;
    }

    public void setGoodNum(Integer goodNum) {
        this.goodNum = goodNum;
    }

    public GoodTypeEnum getGoodType() {
        return goodType;
    }

    public void setGoodType(GoodTypeEnum goodType) {
        this.goodType = goodType;
    }

    public Object getBizParam() {
        return bizParam;
    }

    public void setBizParam(Object bizParam) {
        this.bizParam = bizParam;
    }

    public BigDecimal getActualPrice() {
        return actualPrice;
    }

    public void setActualPrice(BigDecimal actualPrice) {
        this.actualPrice = actualPrice;
    }

    public BigDecimal getCouponAmount() {
        return couponAmount;
    }

    public void setCouponAmount(BigDecimal couponAmount) {
        this.couponAmount = couponAmount;
    }
}
